microsoft-foundry.rest.security.o-auth2-auth
Datasets
Create or update a version
PATCH
/datasets/{name}/versions/{version}
Create a new or update an existing DatasetVersion with the given version id
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
パス パラメーター
name
string
必須
The name of the resource
version
string
必須
The specific version id of the DatasetVersion to create or update.
要求本文
The DatasetVersion to create or update.
Content-Type: application/merge-patch+json
次のいずれか:
uri_file
FileDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
必須
Dataset type
uri_file
uri_folder
FolderDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
必須
Dataset type
uri_folder
応答
The request has succeeded.
本文
Content-Type: application/json
次のいずれか:
uri_file
FileDatasetVersion
FileDatasetVersion Definition
type
enum
必須
Dataset type
uri_file
uri_folder
FolderDatasetVersion
FileDatasetVersion Definition
type
enum
必須
Dataset type
uri_folder
要求
PATCH /datasets/{name}/versions/{version} HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json